import java.applet.Applet;
import java.awt.*;

public class CheckBoxDemo extends Applet
{
  Checkbox chboxRedText;
  Checkbox chboxBoldText;
  Checkbox chboxItalicText;
  
  Color clrText = Color.black;
  int nFontStyle = Font.PLAIN;

  // ============================================
  // init
  // ============================================
  public void init()
  {
    setBackground(Color.yellow);

    chboxRedText    = new Checkbox("Red");
    chboxBoldText   = new Checkbox("Bold");
    chboxItalicText = new Checkbox("Italic");
    
    add(chboxRedText);
    add(chboxBoldText);
    add(chboxItalicText);
  }

  // ============================================
  // paint
  // ============================================
  public void paint(Graphics g)
  {
    g.setColor(clrText);
    g.setFont(
      new Font("Helvetica", nFontStyle, 24));
      
    g.drawString("Test string", 10, 60);
  }
  
  // ============================================
  // getAppletInfo
  // ============================================
  public boolean action(Event evt, Object obj)
  {
    Checkbox chboxChanged;
    
    if(evt.target instanceof Checkbox)
    {
      chboxChanged = (Checkbox)evt.target;
      
      if(
	chboxChanged.equals(chboxRedText))
      {
	if(chboxChanged.getState())
	  clrText = Color.red;
	else
	  clrText = Color.black;
      }

      else if(
	chboxChanged.equals(chboxItalicText))
      {
	if(chboxItalicText.getState())
	  nFontStyle |= Font.ITALIC;
	else
	  nFontStyle &= ~Font.ITALIC;
      }
           
      else if(
	chboxChanged.equals(chboxBoldText))
      {
	if(chboxBoldText.getState())
	  nFontStyle |= Font.BOLD;
	else
	  nFontStyle &= ~Font.BOLD;
      }
      
      repaint();
      return true;
    }
    return false;
  }
  
  // ============================================
  // getAppletInfo
  // ============================================
  public String getAppletInfo()
  {
    return "Name: CheckBoxDemo";
  }
}

